package com.brilliance.isc.convert.mt7xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT798Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.junit.Test;

import java.util.LinkedList;
import java.util.List;


public class MT798Test {
    /**
     * @author wuzhe
     * @date 2023/3/3
     */
    @Test
    public void mt798_Test() {

        //构造参数传入MT报文类型
        MT798Creator mt798Creator=new MT798Creator("798");//报文类型

        mt798Creator.setTransactionReferenceNumber("B02154113204068I");//20 16x
        mt798Creator.setSubMessageType("300");//12 3!n
        mt798Creator.setProprietaryMessage("12\n123");//77E 73z<crlf>[n*78z]

        MtResult mtResult = MtCreatorManager.packMT(mt798Creator);

    }
}